Package org.opencv.video

## Class TrackerMIL

- java.lang.Object
- - org.opencv.video.Tracker
  - - org.opencv.video.TrackerMIL

-     public class TrackerMIL
      extends Tracker

  The MIL algorithm trains a classifier in an online manner to separate the object from the background. Multiple Instance Learning avoids the drift problem for a robust tracking. The implementation is based on CITE: MIL . Original code can be found here <http://vision.ucsd.edu/~bbabenko/project_miltrack.shtml>

- - ### Field Summary

    - ### Fields inherited from class org.opencv.video.Tracker

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TrackerMIL​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackerMIL` | `__fromPtr__​(long addr)` |
    `static TrackerMIL` | `create()` | Create MIL tracker instance
    `static TrackerMIL` | `create​(TrackerMIL_Params parameters)` | Create MIL tracker instance
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.video.Tracker

      `getNativeObjAddr, getTrackingScore, init, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerMIL

          protected TrackerMIL​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerMIL __fromPtr__​(long addr)

    - #### create

          public static TrackerMIL create​(TrackerMIL_Params parameters)

      Create MIL tracker instance
      Parameters:
        `parameters` - MIL parameters TrackerMIL::Params
      Returns:
        automatically generated

    - #### create

          public static TrackerMIL create()

      Create MIL tracker instance
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `java.lang.Throwable`